// Компонент продукта
Vue.component('ProductItem', {
    props: ['product'],
    template: `
        <tr>
            <td>{{ product.good_id }}</td>
            <td>{{ product.good }}</td>
            <td>{{ product.brand }}</td>
            <td>{{ product.price }}</td>
            <td>{{ product.rating }}</td>
        </tr>
    `
});


// Экземпляр vue
var app = new Vue({
    el: '#app',
    data: {
        products: [],
        inputSearch: ''
    },
    computed: {
        filteredProducts: function() {
            var that = this;
            return this.products.filter(function(product) {
                return product.good.toLowerCase().indexOf(that.inputSearch.toLowerCase()) !== -1;
            });
        }
    },
    mounted: function() {
        var that = this;
        axios
            .get('/scripts/catalog.php')
            .then(function(response) {
                that.products = response.data.data.goods;
            });
    }
});